Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Interface ThemeServiceInfo

All Known Subinterfaces:
  ThemeService

All Known Implementing Classes:
  ThemeServiceImpl

    public interface ThemeServiceInfo

Read only part of the theme service interface.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Method Summary
`PortalTheme` | `getTheme(ServerRegistrationID themeID, boolean defaultOnNull)` Get a reference to a theme.
`PortalTheme` | `getTheme(java.lang.String name, boolean defaultOnNull)` Get a reference to a theme.
`PortalTheme` | `getThemeById(java.lang.String themeId)`
`java.util.Collection` | `getThemeNames()` Get a Collection of all the registered theme's names
`java.util.Collection` | `getThemes()` Get a Collection of all registered themes.

Method Detail

### getTheme

    PortalTheme getTheme(ServerRegistrationID themeID,
                         boolean defaultOnNull)

  Get a reference to a theme.

  Parameters:
    `themeID` - the registration id of the theme to retrieve
    `defaultOnNull` - true, when the server should return the default theme, in case the requested is not found
  Returns:
    the requested theme, null, or the default theme if `defaultOnNull` was provided as true
  Throws:
    `java.lang.IllegalArgumentException` - if the themeID is null

### getTheme

    PortalTheme getTheme(java.lang.String name,
                         boolean defaultOnNull)

  Get a reference to a theme.

  Parameters:
    `name` - the name of the theme to retrieve
    `defaultOnNull` - true, when the server should return the default theme, in case the requested is not found
  Returns:
    the requested theme, null, or the default theme if `defaultOnNull` was provided as true
  Throws:
    `java.lang.IllegalArgumentException` - if the themeID is null

### getThemeById

    PortalTheme getThemeById(java.lang.String themeId)

  Parameters:
    `themeId` -
  Returns:

### getThemes

    java.util.Collection getThemes()

  Get a Collection of all registered themes.

  Returns:
    a Collection of all registered themes

### getThemeNames

    java.util.Collection getThemeNames()

  Get a Collection of all the registered theme's names

  Returns:
    a collection of theme names

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD